View Issue Details

IDProjectCategoryView StatusLast Update
0000622XdebugStep Debuggingpublic2020-03-12 17:36
Reporterericp Assigned Toderick  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version2.1.0 
Summary0000622: Working with eval() code is inconvenient and difficult
DescriptionGiven this code:

$text = <<<EOD
function foo(\$a1, \$b1) {
  echo("In foo\n");
  return \$a1 = \$b1;
}
EOD;
eval($text);
$res = foo(3, 4)

Stepping into the eval code shows one long line of code, in a separate
buffer:

function foo(\$a1, \$b1) {\n echo("In foo\n");\n return \$a1 = \$b1;\n}

When I step into foo(3, 4), xdebug can't get the buffer
Steps To ReproduceCreate a PHP buffer with the above kind of code in Komodo
(or another IDE that uses Xdebug and can support stepping
into eval code). Step into the above two lines, and
observe what happens.
Additional InformationSee Komodo bug http://bugs.activestate.com/show_bug.cgi?id=88144

Note that this fix depends on the patch in
http://bugs.activestate.com/attachment.cgi?id=12714
TagsNo tags attached.
Operating System
PHP Version5.3.3

Activities

derick

2011-07-27 21:04

administrator   ~0001765

Fixed for 2.1.2 and 2.2.0.

Issue History

Date Modified Username Field Change
2010-09-27 20:32 ericp New Issue
2011-07-27 21:04 derick Note Added: 0001765
2011-07-27 21:04 derick Status new => closed
2011-07-27 21:04 derick Assigned To => derick
2011-07-27 21:04 derick Resolution open => fixed
2020-03-12 16:55 derick Severity minor => feature
2020-03-12 17:36 derick Category Feature/Change request => Step Debugging